Bug 435857 - firefox (i386) missing dependency on nss-mdns
firefox (i386) missing dependency on nss-mdns
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 01:46 EST by Rick Wagner
Modified: 2008-03-08 02:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 05:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Wagner 2008-03-04 01:46:10 EST
Running Fedora-8 x86_64, with firefox.i386 (firefox-2.0.0.12-1.fc8.src.rpm).

In cleaning up what appeared to be unused packages, I removed nss-mdns.i386, 
via either RPM or yum.  The package was removed without dependency errors.

Later firefox.i386 stopped working.  The application would load, but it would 
not resolve host addresses.  Through some trial and error, I reinstalled 
nss-mdns, and firefox started working again.

It appears that the firefox packages is missing a dependency on nss-mdns.
Comment 1 Martin Stransky 2008-03-05 05:48:00 EST
nss-mdns is not installed by default, i don't have this package and firefox
works fine.
Comment 2 Rick Wagner 2008-03-06 13:06:27 EST
Hmmm.  For me, without it, Firefox does not work.  The app loads, but can't 
resolve any addresses.  Remove the package, Firefox stops working.  Reinstall 
it, it works again.  Some how, my installation of Firefox (straight from 
Fedora repos) does not work without the package.

Is your configuration x86_64, with FF i386?
Comment 3 Martin Stransky 2008-03-07 03:55:38 EST
> The app loads, but can't resolve any addresses.

Are you really sure it's a problem in firefox? What about any other apps? Can
you ever resolve any dns name w/o this package?
Comment 4 Rick Wagner 2008-03-08 02:47:17 EST
OK, I found the root problem.  Something, I assume nss-mdns, 
changed /etc/nsswitch.conf.  I don't know why it only affected firefox; 
everything else was working fine: Konqueror, ktorrent, mail...  I mostly use 
Konqueror, it was just when I needed FF for one of those sites that Konq 
doesn't work with, that I saw the problem.

So it appears to not be a FF problem.  Sorry for the false alarm.

Note You need to log in before you can comment on or make changes to this bug.